using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability370.Domain;

namespace Topsdk.Top.Ability370.Response;

public class TaobaoTbkShopGetResponse : AbstractTopApiResponse
{

    /*
        淘宝客店铺
            */
    private IList<TaobaoTbkShopGetNTbkShop>? results;


    /*
        搜索到符合条件的结果总数
            */
    private long? totalResults;


    [JsonPropertyName("results")]
    public IList<TaobaoTbkShopGetNTbkShop>? Results
    {
        get => results;
        set => this.results = value;
    }

    [JsonPropertyName("total_results")]
    public long? TotalResults
    {
        get => totalResults;
        set => this.totalResults = value;
    }

}

